org.mariadb.jdbc.internal.protocol.tls

## Class HostnameVerifierImpl

- java.lang.Object
- - org.mariadb.jdbc.internal.protocol.tls.HostnameVerifierImpl

All Implemented Interfaces:
  HostnameVerifier

    public class HostnameVerifierImpl
    extends Object
    implements HostnameVerifier

### Constructor Summary

Constructors
Constructor and Description
`HostnameVerifierImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `verify(String host, SSLSession session)`
`void` `verify(String host, X509Certificate cert)` Verification that throw an exception with a detailed error message in case of error.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HostnameVerifierImpl

    public HostnameVerifierImpl()

### Method Detail

#### verify

    public boolean verify(String host,
                          SSLSession session)

Specified by:
  `verify` in interface `HostnameVerifier`

#### verify

    public void verify(String host,
                       X509Certificate cert)
                throws SSLException

Verification that throw an exception with a detailed error message in case of error.

Parameters:
  `host` - hostname
  `cert` - certificate
Throws:
  `SSLException` - exception